POST api/AccountSettings
Sets account settings.
Request Information
URI Parameters
None.
Body Parameters
AccountSettingsModel| Name | Description | Type | Additional information |
|---|---|---|---|
| AccountId |
Account's unique identifier. |
globally unique identifier |
None. |
| LinkedInUrl |
LinkedIn URL for the account. |
string |
None. |
| YahooUrl |
Yahoo URL for the account. |
string |
None. |
| GooglePlusUrl |
Google+ URL for the account. |
string |
None. |
| FacebookUrl |
Facebook URL for the account. |
string |
None. |
| AppointmentAllowedTimeInAdvance |
Time span beyond which future appointments cannot be scheduled. |
time interval |
None. |
| UsesForms |
Indicates whether the account uses forms or not. |
boolean |
None. |
| OnlineAppointmentsActive |
Indicates whether or not online appointments are allowed for the account. |
boolean |
None. |
| UseUSACountryCode | boolean |
None. |
Request Formats
application/json, text/json
{
"accountId": "faa6a146-2104-4b77-ab5a-565be6699ebc",
"linkedInUrl": "https://www.linkedin.com/company/ACME-Corporation",
"yahooUrl": "http://acme.stores.yahoo.com",
"googlePlusUrl": "https://plus.google.com/+acmecorporation",
"facebookUrl": "https://www.facebook.com/ACMECorporation",
"appointmentAllowedTimeInAdvance": "90.00:00:00",
"usesForms": true,
"onlineAppointmentsActive": true,
"useUSACountryCode": false
}
application/xml, text/xml
<AccountSettingsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AccountSettings"> <AccountId>faa6a146-2104-4b77-ab5a-565be6699ebc</AccountId> <AppointmentAllowedTimeInAdvance>P90D</AppointmentAllowedTimeInAdvance> <FacebookUrl>https://www.facebook.com/ACMECorporation</FacebookUrl> <GooglePlusUrl>https://plus.google.com/+acmecorporation</GooglePlusUrl> <LinkedInUrl>https://www.linkedin.com/company/ACME-Corporation</LinkedInUrl> <OnlineAppointmentsActive>true</OnlineAppointmentsActive> <UseUSACountryCode>false</UseUSACountryCode> <UsesForms>true</UsesForms> <YahooUrl>http://acme.stores.yahoo.com</YahooUrl> </AccountSettingsModel>
application/x-www-form-urlencoded
Response Information
Resource Description
AccountSettingsModel| Name | Description | Type | Additional information |
|---|---|---|---|
| AccountId |
Account's unique identifier. |
globally unique identifier |
None. |
| LinkedInUrl |
LinkedIn URL for the account. |
string |
None. |
| YahooUrl |
Yahoo URL for the account. |
string |
None. |
| GooglePlusUrl |
Google+ URL for the account. |
string |
None. |
| FacebookUrl |
Facebook URL for the account. |
string |
None. |
| AppointmentAllowedTimeInAdvance |
Time span beyond which future appointments cannot be scheduled. |
time interval |
None. |
| UsesForms |
Indicates whether the account uses forms or not. |
boolean |
None. |
| OnlineAppointmentsActive |
Indicates whether or not online appointments are allowed for the account. |
boolean |
None. |
| UseUSACountryCode | boolean |
None. |
Response Formats
application/json, text/json
{
"accountId": "faa6a146-2104-4b77-ab5a-565be6699ebc",
"linkedInUrl": "https://www.linkedin.com/company/ACME-Corporation",
"yahooUrl": "http://acme.stores.yahoo.com",
"googlePlusUrl": "https://plus.google.com/+acmecorporation",
"facebookUrl": "https://www.facebook.com/ACMECorporation",
"appointmentAllowedTimeInAdvance": "90.00:00:00",
"usesForms": true,
"onlineAppointmentsActive": true,
"useUSACountryCode": false
}
application/xml, text/xml
<AccountSettingsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AccountSettings"> <AccountId>faa6a146-2104-4b77-ab5a-565be6699ebc</AccountId> <AppointmentAllowedTimeInAdvance>P90D</AppointmentAllowedTimeInAdvance> <FacebookUrl>https://www.facebook.com/ACMECorporation</FacebookUrl> <GooglePlusUrl>https://plus.google.com/+acmecorporation</GooglePlusUrl> <LinkedInUrl>https://www.linkedin.com/company/ACME-Corporation</LinkedInUrl> <OnlineAppointmentsActive>true</OnlineAppointmentsActive> <UseUSACountryCode>false</UseUSACountryCode> <UsesForms>true</UsesForms> <YahooUrl>http://acme.stores.yahoo.com</YahooUrl> </AccountSettingsModel>